summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Niklas Nille Åkerström <nille.kungen[AT]gmail.com>2010-05-11 22:55:34 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:34 +0200
commit2057932eaf45e2ad7a4270dec79799237284ee97 (patch)
tree2976362edcbaf0228227e40262197bf12e3b9ac6 /system
parent1f9f067f6c46430d8b7a92520d1ea07765675746 (diff)
downloadslackbuilds-2057932eaf45e2ad7a4270dec79799237284ee97.tar.gz
slackbuilds-2057932eaf45e2ad7a4270dec79799237284ee97.tar.xz
system/vhba-module: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/vhba-module/README5
-rw-r--r--system/vhba-module/doinst.sh3
-rw-r--r--system/vhba-module/slack-desc18
-rw-r--r--system/vhba-module/vhba-module-scatterlist.diff12
-rw-r--r--system/vhba-module/vhba-module.SlackBuild75
-rw-r--r--system/vhba-module/vhba-module.info8
6 files changed, 121 insertions, 0 deletions
diff --git a/system/vhba-module/README b/system/vhba-module/README
new file mode 100644
index 0000000000..daf9930dd4
--- /dev/null
+++ b/system/vhba-module/README
@@ -0,0 +1,5 @@
+This is VHBA (Virtual SCSI Host Bus adapter), a Linux kernel
+module which acts as a low-level SCSI driver and which provides
+the SCSI layer with a virtual SCSI adapter which can have
+multiple virtual devices. It is part of the userspace-cdemu
+suite, a free, GPL CD/DVD-ROM device emulator for linux. \ No newline at end of file
diff --git a/system/vhba-module/doinst.sh b/system/vhba-module/doinst.sh
new file mode 100644
index 0000000000..79891f9acd
--- /dev/null
+++ b/system/vhba-module/doinst.sh
@@ -0,0 +1,3 @@
+
+chroot . /sbin/depmod -a
+
diff --git a/system/vhba-module/slack-desc b/system/vhba-module/slack-desc
new file mode 100644
index 0000000000..b4dbc1a1d7
--- /dev/null
+++ b/system/vhba-module/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+vhba-module: vhba-module (virtual scsi host bus adapter module)
+vhba-module:
+vhba-module: This is VHBA (Virtual SCSI Host Bus adapter), a Linux kernel
+vhba-module: module which acts as a low-level SCSI driver and which provides
+vhba-module: the SCSI layer with a virtual SCSI adapter which can have
+vhba-module: multiple virtual devices. It is part of the userspace-cdemu
+vhba-module: suite, a free, GPL CD/DVD-ROM device emulator for linux.
+vhba-module:
+vhba-module: Homepage: http://cdemu.sourceforge.net/pkg_vhba.php
+vhba-module:
diff --git a/system/vhba-module/vhba-module-scatterlist.diff b/system/vhba-module/vhba-module-scatterlist.diff
new file mode 100644
index 0000000000..6c3540abaf
--- /dev/null
+++ b/system/vhba-module/vhba-module-scatterlist.diff
@@ -0,0 +1,12 @@
+--- vhba-module-1.1.0.orig/kat/scatterlist_has_page_link.c 2008-09-13 18:44:36.000000000 +0200
++++ vhba-module-1.1.0/kat/scatterlist_has_page_link.c 2008-09-13 19:01:33.000000000 +0200
+@@ -0,0 +1,9 @@
++#include <linux/autoconf.h>
++#include <linux/scatterlist.h>
++
++/* Note: scatterlist.page_link is used in kernel (2.6.24 <= version < X) */
++
++struct scatterlist s = { .page_link = 0 };
++
++//T#define KAT_SCATTERLIST_HAS_PAGE_LINK
++//F#include <linux/scatterlist.h>
diff --git a/system/vhba-module/vhba-module.SlackBuild b/system/vhba-module/vhba-module.SlackBuild
new file mode 100644
index 0000000000..439694be0a
--- /dev/null
+++ b/system/vhba-module/vhba-module.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for vhba-module
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Added patch by Niklas "Nille" Åkerström
+
+PRGNAM=vhba-module
+SRC_VERSION=1.1.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+KERNELVERSION=${KERNELVERSION:-$(uname -r)}
+VERSION=${SRC_VERSION}_$(echo $KERNELVERSION | tr - _)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$SRC_VERSION
+tar xvf $CWD/$PRGNAM-$SRC_VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$SRC_VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# patch and change filename for scatterlist API in 2.6.24+ kernels.
+patch -p1 < $CWD/vhba-module-scatterlist.diff
+
+make KERNELRELEASE=$KERNELVERSION || exit 1
+
+mkdir -p $PKG/lib/modules/$KERNELVERSION/extra
+install -m 0664 vhba.ko $PKG/lib/modules/$KERNELVERSION/extra/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $PKG $TMP/$PRGNAM-$SRC_VERSION
+ fi
+
diff --git a/system/vhba-module/vhba-module.info b/system/vhba-module/vhba-module.info
new file mode 100644
index 0000000000..2f2eeff75e
--- /dev/null
+++ b/system/vhba-module/vhba-module.info
@@ -0,0 +1,8 @@
+PRGNAM="vhba-module"
+VERSION="1.1.0"
+HOMEPAGE="http://cdemu.sourceforge.net/pkg_vhba.php"
+DOWNLOAD="http://downloads.sourceforge.net/cdemu/vhba-module-1.1.0.tar.bz2"
+MD5SUM="dd9dd9a03060498aaa5391819c17e201"
+MAINTAINER="Niklas 'Nille' Åkerström"
+EMAIL="nille.kungen[AT]gmail.com"
+APPROVED="rworkman"